# app/__init__.py
from flask import Flask
from database.database import init_db


from .service_manager import ServiceManager
import os
# 获取当前文件(__file__)的路径，然后找到 'instance' 文件夹
base_dir = os.path.dirname(os.path.dirname(os.path.abspath(__file__)))
print(f"根目录{base_dir}")
# 指定模板文件夹的路径
template_dir = os.path.abspath(os.path.join(os.path.dirname(__file__), '..', 'templates'))
app = Flask(__name__, template_folder=template_dir)
init_db(app)  # 确保传入 Flask 应用实例

# 导入所有数据库模型
from models.models import DownloadedFile
# 使用 ServiceManager 来管理所有服务和配置
service_manager = ServiceManager(app)

from app import routes
