# app/routes.py
from flask import render_template, redirect, url_for, request
from app import app, service_manager


@app.route('/files')
def files():
    service_manager.api_manager.login_apis()
    file_list = service_manager.download_service.fetch_directory_contents()
    return render_template('files.html', file_list=file_list)


@app.route('/download/<path:filepath>')
def download(filepath):
    # 添加下载逻辑
    return redirect(url_for('files'))


@app.route('/', methods=['GET', 'POST'])
def index():
    message = ""
    if request.method == 'POST':
        if request.form.get('action') == 'sync':
            service_manager.nas_sync_service.sync_directories()
            message = "Directories are being synchronized."
        elif request.form.get('action') == 'download':
            download_urls = service_manager.download_service.fetch_and_download()
            message = f"Downloading: {len(download_urls)} files."
        return render_template('index.html', message=message)
    return render_template('index.html')
