import os
from config.config_manager import ConfigManager
from api.api_clients import APIManager
from services.download_service import DownloadService
from services.nas_sync_service import NasSyncService


class ServiceManager:
    def __init__(self, app):
        self.app = app
        self.config = self.init_config()
        # 获取 app 文件夹的父目录
        base_directory = os.path.dirname(self.app.root_path)
        self.api_manager = APIManager(self.config)
        self.download_service = DownloadService(self.api_manager, base_directory)
        self.nas_sync_service = NasSyncService(self.api_manager.nas_tools_api)

    def init_config(self):
        # 获取 app 文件夹的父目录
        base_directory = os.path.dirname(self.app.root_path)
        # 构建到 config.ini 文件的完整路径
        config_path = os.path.join(base_directory, 'config', 'config.ini')
        return ConfigManager(config_path)

    def login(self):
        self.api_manager.login_apis()